org.apache.ignite.internal.processors.cache.persistence.tree.io

## Class PagePartitionMetaIOV2

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO
  - - org.apache.ignite.internal.processors.cache.persistence.tree.io.PageMetaIO
    - - org.apache.ignite.internal.processors.cache.persistence.tree.io.PagePartitionMetaIO
      - - org.apache.ignite.internal.processors.cache.persistence.tree.io.PagePartitionMetaIOV2

Direct Known Subclasses:
  PagePartitionMetaIOV3

    public class PagePartitionMetaIOV2
    extends PagePartitionMetaIO

IO for partition metadata pages. Persistent partition contains it's own PendingTree.

### Field Summary

Fields
`static int` `END_OF_PARTITION_PAGE_META_V2`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PagePartitionMetaIO

`VERSIONS`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`COMMON_HEADER_END, CRC_OFF, MAX_PAYLOAD_SIZE, PAGE_ID_OFF, ROTATED_ID_PART_OFF, T_BPLUS_META, T_CACHE_ID_AWARE_DATA_REF_INNER, T_CACHE_ID_AWARE_DATA_REF_LEAF, T_CACHE_ID_AWARE_PENDING_REF_INNER, T_CACHE_ID_AWARE_PENDING_REF_LEAF, T_CACHE_ID_DATA_REF_MVCC_INNER, T_CACHE_ID_DATA_REF_MVCC_LEAF, T_DATA, T_DATA_METASTORAGE, T_DATA_PART, T_DATA_REF_INNER, T_DATA_REF_LEAF, T_DATA_REF_METASTORAGE_INNER, T_DATA_REF_METASTORAGE_LEAF, T_DATA_REF_MVCC_INNER, T_DATA_REF_MVCC_LEAF, T_DEFRAG_LINK_MAPPING_INNER, T_DEFRAG_LINK_MAPPING_LEAF, T_H2_EX_REF_INNER_END, T_H2_EX_REF_INNER_START, T_H2_EX_REF_LEAF_END, T_H2_EX_REF_LEAF_START, T_H2_EX_REF_MVCC_INNER_END, T_H2_EX_REF_MVCC_INNER_START, T_H2_EX_REF_MVCC_LEAF_END, T_H2_EX_REF_MVCC_LEAF_START, T_H2_MVCC_REF_INNER, T_H2_MVCC_REF_LEAF, T_H2_REF_INNER, T_H2_REF_LEAF, T_MARKER_PAGE, T_META, T_METASTORE_INNER, T_METASTORE_LEAF, T_PAGE_LIST_META, T_PAGE_LIST_NODE, T_PAGE_UPDATE_TRACKING, T_PART_CNTRS, T_PART_META, T_PENDING_REF_INNER, T_PENDING_REF_LEAF, T_TX_LOG_INNER, T_TX_LOG_LEAF, TYPE_OFF, VER_OFF`

### Constructor Summary

Constructors
Constructor and Description
`PagePartitionMetaIOV2(int ver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getGapsLink(long pageAddr)`
`long` `getPartitionMetaStoreReuseListRoot(long pageAddr)`
`long` `getPendingTreeRoot(long pageAddr)` Returns partition pending tree root.
`void` `initNewPage(long pageAddr, long pageId, int pageSize)`
`protected void` `printFields(long pageAddr, GridStringBuilder sb)`
`boolean` `setGapsLink(long pageAddr, long link)`
`void` `setPartitionMetaStoreReuseListRoot(long pageAddr, long listRoot)`
`void` `setPendingTreeRoot(long pageAddr, long listRoot)` Sets new partition pending tree root.
`void` `upgradePage(long pageAddr)` Upgrade page to PagePartitionMetaIOV2

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PagePartitionMetaIO

`getCountersPageId, getGlobalRemoveId, getPartitionState, getSize, getUpdateCounter, printPage, setCountersPageId, setGlobalRemoveId, setPartitionState, setSize, setUpdateCounter`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageMetaIO

`getCandidatePageCount, getLastAllocatedPageCount, getLastAllocatedPageCount, getLastSuccessfulFullSnapshotId, getLastSuccessfulSnapshotId, getLastSuccessfulSnapshotTag, getNextSnapshotTag, getReuseListRoot, getTreeRoot, setCandidatePageCount, setLastAllocatedPageCount, setLastSuccessfulFullSnapshotId, setLastSuccessfulSnapshotId, setLastSuccessfulSnapshotTag, setNextSnapshotTag, setReuseListRoot, setTreeRoot`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`copyPage, deriveIndexPageType, getBPlusIO, getBPlusIO, getCompactedSize, getCompactedSize, getCompressedSize, getCompressedSize, getCompressionType, getCompressionType, getCrc, getCrc, getInnerVersions, getLeafVersions, getPageId, getPageId, getPageIO, getPageIO, getPageIO, getRotatedIdPart, getType, getType, getType, getVersion, getVersion, getVersion, isDataPageType, printPage, registerH2, registerH2ExtraInner, registerH2ExtraLeaf, registerTest, registerTest, setCompactedSize, setCompressedSize, setCompressionType, setCrc, setCrc, setPageId, setRotatedIdPart, setType, setVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### END_OF_PARTITION_PAGE_META_V2

    public static final int END_OF_PARTITION_PAGE_META_V2

See Also:
  Constant Field Values

### Constructor Detail

#### PagePartitionMetaIOV2

    public PagePartitionMetaIOV2(int ver)

Parameters:
  `ver` - Version.

### Method Detail

#### initNewPage

    public void initNewPage(long pageAddr,
                            long pageId,
                            int pageSize)

Overrides:
  `initNewPage` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Page address.
  `pageId` - Page ID.
  `pageSize` - Page size.
See Also:
  `EncryptionSpi.encryptedSize(int)`

#### getPendingTreeRoot

    public long getPendingTreeRoot(long pageAddr)

Returns partition pending tree root. Pending tree is used to tracking expiring entries.

Overrides:
  `getPendingTreeRoot` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Page address.
Returns:
  Pending Tree root page.

#### setPendingTreeRoot

    public void setPendingTreeRoot(long pageAddr,
                                   long listRoot)

Sets new partition pending tree root.

Overrides:
  `setPendingTreeRoot` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Page address.
  `listRoot` - Pending Tree root

#### getPartitionMetaStoreReuseListRoot

    public long getPartitionMetaStoreReuseListRoot(long pageAddr)

Overrides:
  `getPartitionMetaStoreReuseListRoot` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Page address.

#### setPartitionMetaStoreReuseListRoot

    public void setPartitionMetaStoreReuseListRoot(long pageAddr,
                                                   long listRoot)

Overrides:
  `setPartitionMetaStoreReuseListRoot` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Page address.
  `listRoot` - List root.

#### getGapsLink

    public long getGapsLink(long pageAddr)

Overrides:
  `getGapsLink` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Page address.
Returns:
  Partition size.

#### setGapsLink

    public boolean setGapsLink(long pageAddr,
                               long link)

Overrides:
  `setGapsLink` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Page address.
  `link` - Link.
Returns:
  `true` if value has changed as a result of this method's invocation.

#### printFields

    protected void printFields(long pageAddr,
                               GridStringBuilder sb)

Overrides:
  `printFields` in class `PagePartitionMetaIO`
Parameters:
  `pageAddr` - Address.
  `sb` - String builder.

#### upgradePage

    public void upgradePage(long pageAddr)

Upgrade page to PagePartitionMetaIOV2

Parameters:
  `pageAddr` - Page address.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021